# InsTable
Perform various operations for Symitar parameters.


**Symitar eDocs References:** Coming soon.

## Operations

### getInsTable

POST `/nexum/{sym}/2022.01/parameter/getInsTable`

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| InsTableInsuranceTable | integer | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InsTableInsuranceTable": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTable | object | No | SampleData |

```json
{
  "InsTable": {
    "RecordChangeDate": "2026-01-01"
  },
  "MessageId": "string"
}
```

### getInsTableSelectFields

POST `/nexum/{sym}/2022.01/parameter/getInsTableSelectFields`

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| InsTableInsuranceTable | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "InsTableInsuranceTable": 0,
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTable | object | No | SampleData |

```json
{
  "InsTable": {
    "InsuranceCode": 0,
    "InsuranceTable": 0,
    "ShortDescription": null,
    "TermPremium": []
  },
  "MessageId": "string"
}
```

### getInsTablePagedList

POST `/nexum/{sym}/2022.01/parameter/getInsTablePagedList`

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTable | object[] | No |  |
| Token | string | No |  |

```json
{
  "InsTable": [],
  "Token": null,
  "MessageId": "string"
}
```

### getInsTableListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getInsTableListSelectFields`

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllInsTableFields": true
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTableList | object | No |  |

```json
{
  "InsTableList": [],
  "MessageId": "string"
}
```

### searchInsTableSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchInsTableSelectFields`

Search InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllInsTableFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTableList | object | No |  |

```json
{
  "InsTableList": [],
  "MessageId": "string"
}
```

### getInsTablePagedListSelectFields

POST `/nexum/{sym}/2022.01/parameter/getInsTablePagedListSelectFields`

Retrieve InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTable | object[] | No |  |
| Token | string | No |  |

```json
{
  "InsTable": [
    {
      "InsuranceCode": 0,
      "InsuranceTable": 0,
      "ShortDescription": null,
      "TermPremium": []
    }
  ],
  "Token": "REPLACE_WITH_YOUR_TOKEN",
  "MessageId": "string"
}
```

### searchInsTablePagedSelectFields

POST `/nexum/{sym}/2022.01/parameter/searchInsTablePagedSelectFields`

Search InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "InsTableFields": {
      "InsuranceTable": true,
      "ShortDescription": true,
      "InsuranceCode": true
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| InsTable | object[] | No |  |
| Token | string | No |  |

```json
{
  "InsTable": [
    {
      "InsuranceCode": 0,
      "InsuranceTable": 0,
      "ShortDescription": null,
      "TermPremium": []
    }
  ],
  "Token": "REPLACE_WITH_YOUR_TOKEN",
  "MessageId": "string"
}
```

### updateInsTableByID

POST `/nexum/{sym}/2022.01/parameter/updateInsTableByID`

Update InsTable parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-parameter-instable.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| InsTableInsuranceTable | integer | No |  |
| InsTableUpdatableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InsTableInsuranceTable": 0,
  "InsTableUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```
